package com.cinema.cinemarental.util

import com.google.firebase.database.DatabaseReference
import com.google.firebase.database.ktx.database
import com.google.firebase.ktx.Firebase
import com.google.firebase.storage.StorageReference
import com.google.firebase.storage.ktx.storage

class References {

    companion object {
        fun getDatabaseReference(): DatabaseReference {
            return Firebase.database("https://cinema-rental-default-rtdb.europe-west1.firebasedatabase.app/").reference
        }

        fun getDatabaseReference(childReference: String): DatabaseReference {
            return Firebase.database("https://cinema-rental-default-rtdb.europe-west1.firebasedatabase.app/").reference.child(childReference)
        }

        fun getStorageReference(): StorageReference {
            return Firebase.storage("gs://cinema-rental.appspot.com").reference
        }
    }
}