package com.cinema.cinemarental.activities.ui.main

import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import androidx.recyclerview.widget.RecyclerView
import com.cinema.cinemarental.R
import com.cinema.cinemarental.model.MessagesModel

/**
 * A simple [Fragment] subclass.
 */
class MessagesFragment : Fragment() {
    lateinit var recyclerView: RecyclerView

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        val view: View = inflater.inflate(R.layout.fragment_messages, container, false)
        recyclerView = view.findViewById(R.id.messages_recyclerView)
        val noMessagesImage: ImageView = view.findViewById(R.id.messages_no_messages)

        MessagesModel.getConversations(recyclerView, noMessagesImage)

        return view
    }
}