package com.cinema.cinemarental.activities.ui.main

import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import androidx.recyclerview.widget.RecyclerView
import com.cinema.cinemarental.R
import com.cinema.cinemarental.model.RentalModel

/**
 * A simple [Fragment] subclass.
 */
class MyRentalsFragment : Fragment() {

    lateinit var recyclerView: RecyclerView

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?,
                            savedInstanceState: Bundle? ): View? {

        val view: View = inflater.inflate(R.layout.fragment_my_rentals, container, false)
        recyclerView = view.findViewById(R.id.my_rentals_recyclerView)
        val noRentalsImage: ImageView = view.findViewById(R.id.my_rentals_no_rentals)

        RentalModel.getMyRentals(recyclerView, noRentalsImage)

        return view
    }

    companion object {
        const val TAG = "MY_RENTALS"
    }
}